/**********************************************************************/
/*               Linker Command File with Directives                  */
/**********************************************************************/
-stack 0x200
-heap 0x39000

MEMORY   /* MEMORY directive */
{
	ROM:            origin = 000000h    length = 001000h     /* 4K 32-bit words on-chip ROM (C31/VC33) */
	
	/* 256K 32-bit word off-chip SRAM (D.Module.VC33-150-S2) */
	BIOS:       origin = 001000h      length = 000300h
	CONF_UTL:   origin = 001300h      length = 000800h
	FREE:       origin = 001B00h      length = 03F500h  /* 259328 32-bit words */

	RAM_0_1:     origin = 809800h    length = 000800h     /* 2 x 1K 32-bit word on-chip SRAM (C31/VC33) */
	RAM_2_3:     origin = 800000h    length = 008000h     /* 2 x 16K 32-bit word on-chip SRAM (VC33 only) */
}
SECTIONS  /* SECTIONS directive */
{
	.firm :
	{
        *(.firm)
    } > RAM_2_3

    .text :
    {
        *(.text)
    } > RAM_2_3

    .const :
    {
        *(.const)
    } > RAM_0_1

    .bss :
    {
        *(.bss)
    } > RAM_2_3

    .cinit :
    {
        *(.cinit)
    } > FREE

    .data :
    {
        *(.data)
    } > RAM_2_3

	.stack :
	{
        *(.stack)
	} > RAM_2_3


    .sysmem :
    {
        *(.sysmem)
    } > FREE


    .cio :
    {
        *(.cio)
    } > FREE
}

